%define	scintilla_ver	1.71
Summary:	QScintilla - a port of Neil Hodgson's Scintilla C++ editor class to Qt
Summary(pl.UTF-8):	QScintilla - port do Qt klas C++ edytora Scintilla autorstwa Neila Hodgsona
Name:		qscintilla
Version:	1.7.1
Release:	4
Epoch:		1
License:	GPL v2
Group:		X11/Libraries
Source0:	http://www.riverbankcomputing.com/Downloads/QScintilla1/QScintilla-%{scintilla_ver}-gpl-%{version}.tar.gz
# Source0-md5:	dfa047b45d4f09ae8d4a8a431ba88a5a
URL:		http://www.riverbankcomputing.co.uk/qscintilla/index.php
BuildRequires:	qmake
BuildRequires:	qt-devel >= 3.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
QScintilla is a port to Qt of Neil Hodgson's Scintilla C++ editor
class.

%description -l pl.UTF-8
QScintilla jest portem do Qt klas C++ edytora Scintilla autorstwa
Neila Hodgsona.

%package devel
Summary:	Development files for the QScintilla
Summary(pl.UTF-8):	Pliki nagłówkowe dla QScintilla
Group:		X11/Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	qt-devel >= 3.0

%description devel
This package contains the header files necessary to develop
applications using QScintilla - header files.

%description devel -l pl.UTF-8
Pakiet tem zawiera pliki nagłówkowe potrzebne do tworzenia i
kompilacji aplikacji korzystających z biblioteki QScintilla.

%prep
%setup -q -n QScintilla-%{scintilla_ver}-gpl-%{version}

%build
QTDIR=%{_prefix}
export QTDIR
cd qt
# change DESTDIR - original .pro tries to build directly to QTDIR
qmake -o Makefile -after DESTDIR=out qscintilla.pro \
	QMAKE_CXX="%{__cxx}" \
	QMAKE_CXXFLAGS_RELEASE="%{rpmcxxflags}" \
	QMAKE_LFLAGS_RELEASE="%{rpmldflags}"
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_includedir}/qt \
	$RPM_BUILD_ROOT%{_libdir}

cp -df qt/out/libqscintilla{.so,.so.?,.so.*.*.*} $RPM_BUILD_ROOT%{_libdir}
install qt/qextscintilla*.h $RPM_BUILD_ROOT%{_includedir}/qt

# where should it be placed to be used?
# README says $QTDIR/translations, but it doesn't exist
install -Dp qt/qscintilla_de.qm $RPM_BUILD_ROOT%{_datadir}/locale/de/LC_MESSAGES/qscintilla.qm
install -Dp qt/qscintilla_fr.qm $RPM_BUILD_ROOT%{_datadir}/locale/fr/LC_MESSAGES/qscintilla.qm
install -Dp qt/qscintilla_pt_br.qm $RPM_BUILD_ROOT%{_datadir}/locale/pt_BR/LC_MESSAGES/qscintilla.qm
install -Dp qt/qscintilla_ru.qm $RPM_BUILD_ROOT%{_datadir}/locale/ru/LC_MESSAGES/qscintilla.qm

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/libqscintilla.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libqscintilla.so.7
%lang(de) %{_datadir}/locale/de/LC_MESSAGES/qscintilla.qm
%lang(fr) %{_datadir}/locale/fr/LC_MESSAGES/qscintilla.qm
%lang(pt_BR) %{_datadir}/locale/pt_BR/LC_MESSAGES/qscintilla.qm
%lang(ru) %{_datadir}/locale/ru/LC_MESSAGES/qscintilla.qm

%files devel
%defattr(644,root,root,755)
%doc doc/{Scintilla,html}
%attr(755,root,root) %{_libdir}/libqscintilla.so
%{_includedir}/qt/qextscintilla*.h
%changelog
* Fri Mar 20 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/qscintilla.git;a=log;h=master

* Fri Mar 20 2015 Elan Ruusamäe <glen@delfi.ee> e7774d6
- x32 rebuild
- release 4 (by relup.sh)

* Sat Jan 25 2014 Jan Rękorajski <baggins@pld-linux.org> 3a5fde0
- Revert "- BC on itself"

* Sat Jan 25 2014 Jan Rękorajski <baggins@pld-linux.org> 059ff02
- release 3 (by relup.sh)

* Sat Jan 25 2014 Jan Rękorajski <baggins@pld-linux.org> dc44204
- BC on itself

* Thu Jun 23 2011 Jakub Bogusz <qboosh@pld-linux.org> 7fdcf31
- ghost soname symlink
- qscintilla has internal scintilla sources, dropped scintilla-devel BR
- dropped idea of renaming to qscintilla1: it provides libqscintilla while qscintilla2 provides libqscintilla2
- general cleanup
- release 2

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> de7a758
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 826c1c0
- converted to UTF-8

* Mon Dec 18 2006 Mateusz Korniak <matkor@pld-linux.org> c968b85
- Version 1.7.1-1.

* Mon Nov 06 2006 Mateusz Korniak <matkor@pld-linux.org> 811359e
- Version 1.7-1.

* Tue Feb 28 2006 Elan Ruusamäe <glen@pld-linux.org> 14fc76d
- adapterized (killed trailing spaces/tabs)

* Mon Sep 19 2005 Karol Krenski <charles@pld-linux.org> bad6896
- updated to 1.6 / 1.65
- new lang pt_BR

* Thu Mar 10 2005 Karol Krenski <charles@pld-linux.org> bd576e1
- BR: qmake

* Sun Mar 06 2005 Karol Krenski <charles@pld-linux.org> 2f88ead
- updated to 1.5.1

* Sun Feb 20 2005 Karol Krenski <charles@pld-linux.org> 56e6285
- updated to 1.5

* Sat Nov 20 2004 Jakub Bogusz <qboosh@pld-linux.org> e276d22
- standard BuildRoot, dropped Source0-size

* Tue Oct 12 2004 Mateusz Korniak <matkor@pld-linux.org> 5ead517
- Version 1.4/1.61.

* Wed Jul 28 2004 Jakub Bogusz <qboosh@pld-linux.org> a071803
- fixed doc perms in devel; release 3

* Wed Jul 28 2004 Michal Chruszcz <mchruszcz@gmail.com> 410104a
- removed %%include /usr/lib/rpm/macros.python

* Wed Feb 18 2004 djurban <djurban@pld-linux.org> 3dcbfe8
- fixed translations install
- rel. 2
- to disable installation on make when using qmake just remove the DESTDIR
  line from qt/qscintilla.pro

* Tue Oct 07 2003 Jakub Bogusz <qboosh@pld-linux.org> c62ec04
- fixed lib files, moved devel docs to -devel
- .qm is not example, but where to place it?

